Skip to main content
PATCH
Update a webhook

Authorizations

x-client-secret
string
header
required

Your secret API key. Keep this secure and never expose it in client-side code.

Path Parameters

id
string<uuid>
required

Webhook unique identifier (UUID)

Body

application/json

Webhook update details

name
string

Name of the webhook for identification purposes

Required string length: 3 - 100
Example:

"Payment Notifications"

url
string<uri>

URL where webhook events will be sent

Example:

"https://api.example.com/webhooks/payments"

isActive
boolean
default:true

Whether the webhook is active and will receive events

Example:

true

signing_secret
string

Secret key used to sign webhook payloads for verification

Example:

"whsec_123456789"

encrypted
boolean
default:false

Whether webhook payloads should be encrypted

Example:

false

Response

The webhook has been successfully updated.

id
string
required

Unique identifier for the webhook

Example:

"550e8400-e29b-41d4-a716-446655440000"

name
string
required

Name of the webhook

Example:

"Payment Notifications"

url
string
required

URL where webhook events are sent

Example:

"https://api.example.com/webhooks/payments"

isActive
boolean
required

Whether the webhook is currently active

Example:

true

encrypted
boolean
required

Whether webhook payloads are encrypted

Example:

false

created_at
string
required

Timestamp when the webhook was created

Example:

"2024-03-20T12:00:00.000Z"

updated_at
string
required

Timestamp when the webhook was last updated

Example:

"2024-03-20T12:00:00.000Z"

delivery_stats
object
required

Webhook delivery statistics

Example: